<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_DATATABLE_CSS}}"></link>
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.1.2/css/buttons.dataTables.min.css" />
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TIMESHEETS_APPROVE)">
    <form class="ui form" id="filter-form" th:object="${filter}">
      <div class="ui grid">
        <div class="row">
          <div class="seven wide column">
            <h2 class="ui header">
              <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TIMESHEET_APPROVAL}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESHEETAPPROVAL}}"></span>
            </h2>
          </div>
          <div class="three wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown clearable" id="ddl-resources" onchange="search();" th:field="*{resource}">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:each="element : ${resources}" th:text="${element.name}" th:value="${element.id}"></option>
              </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown clearable" id="ddl-fortnight" th:field="*{fortnight}" onchange="search();">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT_FIRST}}" value="1"></option>
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT_SECOND}}" value="2"></option>
              </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown" id="ddl-months" onchange="search();" th:field="*{month}">
                <option th:each="element : ${months}" th:text="${#dates.monthName(element.date)}" th:value="${element.month}"></option>
              </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown" id="ddl-years" onchange="search();" th:field="*{year}">
                <option th:each="element : ${years}" th:text="${element.id}" th:value="${element.id}"></option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
    <div class="ui pointing secondary menu" id="tabs" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <a class="item active" data-tab=resources>
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_RESOURCES}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCES}}"></span>
      </a>
      <a class="item" data-tab="contracts">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CONTRACTS}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACTS}}"></span>
      </a>
    </div>
    <div class="ui tab" data-tab="resources"></div>
    <div class="ui tab" data-tab="contracts"></div>
    <div th:replace="common/fragments/modal :: modal(large,'')"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TIMESHEETAPPROVAL_JS}}"></script>
</body>
</html>